<?php
namespace Teknisa\COZ\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Teknisa\COZ\Services\Coz07020EtiquetaService;

class Coz07020EtiquetaController extends \Teknisa\GER\Controllers\TeknisaCrud {
    
    protected $crudService;
    protected $parameterBag;
    protected $coz07020service;
    protected $entityManager;
    protected $dataSourceManager;
    protected $util;

    public function __construct($crudService, $parameterBag, Coz07020EtiquetaService $coz07020service, 
        $entityManager, $dataSourceManager, $util)
    {
        parent::__construct($crudService, $parameterBag);
        $this->coz07020service = $coz07020service;
        $this->entityManager = $entityManager;
        $this->dataSourceManager = $dataSourceManager;
        $this->util = $util;
    }
    
    public function calculaEtiqueta(DTO\Request\Row $request, DTO\Response $response)
    {
        $row = $request->getRow();
        try {
            $retorno = $this->coz07020service->calculaEtiqueta((array)$row);
            $response->addDataset(new DataSet('nrlogmatprima', $retorno));
        } catch (\Exception $e) {
            $response->setError(new DTO\Response\Error($e->getMessage(), 1));
        }
    }  
}